<section class="bg-bgZero screen-width flex flex-col justify-center items-center">
	<div class="container flex flex-col justify-start items-center py-16">
		<h1
			class="text-4xl mdCustom:text-5xl text-center mb-8 font-bold"
			[innerHTML]="t.templates.title | translate"
		></h1>
		<p class="text-center text-xl">{{ t.templates.description | translate }}</p>
		<a [routerLink]="routes.auth.signup" class="cta-primary-btn px-8 bg-primary mt-8">
			<span class="text-xl mdCustom:text-2xl font-bold text-white">
				{{ t.common.misc.createBestCV | translate }}
			</span>
		</a>
	</div>
</section>
<section class="bg-white screen-width flex flex-col justify-center items-center pt-8">
	<div *ngIf="!templates" class="container flex flex-row flex-wrap justify-between items-center">
		<div
			*ngFor="let _ph of [1, 2, 3, 4]"
			class="template-card base-to-draw mb-4 w-98-percent mdCustom:w-48-percent bg-white flex flex-col justify-between items-center pt-4 shadow shadow-cvbuilder-drop-image mdCustom:shadow-none"
		>
			<div class="w-95-percent h-auto ph-item">
				<div class="ph-col-13">
					<div class="w-4 h-4 mdCustom:w-16 mdCustom:h-16 rounded-full overflow-hidden">
						<div class="ph-avatar"></div>
					</div>
					<div class="ph-row">
						<div class="ph-col-4"></div>
						<div class="ph-col-9 empty"></div>
						<div class="ph-col-4"></div>
						<div class="ph-col-9 empty"></div>
						<div class="ph-col-13 big"></div>
						<div class="ph-col-9 empty"></div>
						<div class="hidden mdCustom:inline ph-col-4"></div>
						<div class="hidden mdCustom:inline ph-col-9 empty"></div>
						<div class="ph-col-9 empty"></div>
						<div class="ph-col-4"></div>
						<div class="ph-col-9 empty"></div>
						<div class="ph-col-13 big"></div>
						<div class="ph-col-13 big"></div>
						<div class="ph-col-13 big"></div>
						<div class="hidden mdCustom:inline ph-col-13"></div>
						<div class="hidden mdCustom:inline ph-col-13 big"></div>
						<div class="hidden mdCustom:inline ph-col-13 big"></div>
						<div class="ph-col-13 big"></div>
						<div class="hidden mdCustom:inline ph-col-13"></div>
						<div class="hidden mdCustom:inline ph-col-13"></div>
						<div class="ph-col-13"></div>
						<div class="ph-col-13"></div>
						<div class="ph-col-13 big"></div>
						<div class="hidden mdCustom:inline ph-col-13"></div>
						<div class="hidden mdCustom:inline ph-col-13"></div>
						<div class="ph-col-13"></div>
						<div class="ph-col-13"></div>
						<div class="ph-col-13 big"></div>
						<div class="hidden mdCustom:inline ph-col-13"></div>
						<div class="hidden mdCustom:inline ph-col-13"></div>
						<div class="ph-col-13"></div>
						<div class="ph-col-13"></div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div *ngIf="templates && templates.length" class="container flex flex-row flex-wrap justify-between items-center">
		<div
			*ngFor="let template of templates"
			[blackbirdHoverClass]="'is-focused'"
			class="template-card base-to-draw mb-4 w-98-percent mdCustom:w-48-percent bg-white flex flex-col justify-between items-center pt-4 shadow shadow-cvbuilder-drop-image mdCustom:shadow-none"
		>
			<a
				[routerLink]="routes.auth.signup"
				[queryParams]="{ codeName: template.codeName }"
				class="relative w-95-percent"
			>
				<div
					blackbirdSameSizeAsNext
					class="absolute m-auto z-50 top-0 left-3 hidden mdCustom:flex justify-center items-center use-model-container"
				>
					<div class="cta-primary-btn px-6 bg-primary">
						<span class="text-lg mdCustom:text-xl font-bold text-white">
							{{ t.templates.useThisModel | translate }}
						</span>
					</div>
				</div>
				<img
					[src]="template.previewXl"
					[alt]="'CV template example ' + template.name"
					class="w-95-percent h-auto m-auto shadow-cvbuilder-border"
				/>
			</a>

			<p class="w-full flex flex-row flex-wrap justify-between items-center mt-4 py-4 px-6 text-lg">
				<span class="font-bold">{{ template.name }}</span>
				<span>{{ t.templates.choseThisModel | translate: { usersNumber: template.users } }}</span>
			</p>
			<a
				[routerLink]="routes.auth.signup"
				[queryParams]="{ codeName: template.codeName }"
				class="w-full flex mdCustom:hidden flex-row justify-end items-center"
			>
				<div class="transparent-btn px-6 py-8">
					<span class="text-lg mdCustom:text-xl font-bold text-primary">
						{{ t.templates.useThisModel | translate }}
					</span>
				</div>
			</a>
		</div>
	</div>
</section>
